Katello - Bug #6619

Environment label gets updated automatically without user knowledge
07/15/2014 10:41 AM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1111733 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/442
7
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1111733
Description of problem:
Environment label gets updated automatically without user knowledge

Version-Release number of selected component (if applicable):
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.18-1.el6sat.noarch
foreman-compute-1.6.0.18-1.el6sat.noarch
foreman-gce-1.6.0.18-1.el6sat.noarch
foreman-libvirt-1.6.0.18-1.el6sat.noarch
foreman-ovirt-1.6.0.18-1.el6sat.noarch
foreman-postgresql-1.6.0.18-1.el6sat.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
foreman-selinux-1.6.0-4.el6sat.noarch
foreman-vmware-1.6.0.18-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.49-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
openldap-devel-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.21.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.21.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.21.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.21.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.21.beta.el6sat.noarch
pulp-selinux-2.4.0-0.21.beta.el6sat.noarch
pulp-server-2.4.0-0.21.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Always
https://bugzilla.redhat.com/show_bug.cgi?id=1111733

Steps to Reproduce:

1. Create a life cycle environment - EV1, Label - EV1

2. Update name of the life cycle environment to EV2

3. Attempt to create a life cycle environment - EV1 again (Do not change the label)

Actual results:

EV1 gets created. Refresh the page. Notice-

1. EV1 is created with label EV1

2. label of EV2 is automatically changed to EV1 to EV2.

Expected results:
| thought labels are unchanged after they are created. If this is true, we should not allow this automatic update of labels by the
system.

Additional info:

Associated revisions

Revision d1996db3 - 07/15/2014 11:16 AM - Brad Buckingham
fixes #6619 / BZ 1111733 - Lifecycle Environment: do not update label
The lifecycle environment label was being 'auto updated' when a user

would change the environment name. This should not be done as the
label is intended to be read-only.

Revision ce2c4f29 - 07/16/2014 08:03 AM - Brad Buckingham
Merge pull request #4427 from bbuckingham/issue-6619

fixes #6619 / BZ 1111733 - Lifecycle Environment: do not update label

History

#1 - 07/15/2014 10:41 AM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/15/2014 11:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4427 added
- Pull request deleted ()

#3 - 07/16/2014 09:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|d1996db33530802ce274e318172c7e4e6237c75a.

#4 - 08/22/2014 09:03 AM - Eric Helms

- translation missing: en.field_release set to 13
